package cn.ezhizao.project.system.service;

import java.util.List;

import cn.ezhizao.project.system.domain.SysRoleInIt;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * roleInitService接口
 *
 * @author ruoyi
 * @date 2024-01-10
 */
public interface ISysRoleInItService extends IService<SysRoleInIt>
{
    /**
     * 查询roleInit列表
     *
     * @param sysRoleInit roleInit
     * @return roleInit集合
     */
    public List<SysRoleInIt> getList(SysRoleInIt sysRoleInit);

    /**
     * 物理删除
     * @param sysRoleInit
     * @return 删除结果
     */
    public int physicalDelete(SysRoleInIt sysRoleInit);

    public SysRoleInIt getById(Long id);

    int insertRoleInIt(SysRoleInIt sysRoleInit);

    int updateRoleInIt(SysRoleInIt sysRoleInit);

    int deletedRoleInIt(List<Long> ids);
}
